Foreman - Bug #31317

VNC Console broken
11/16/2020 10:56 AM - Christian Ruppert

Status: Closed
Priority: Normal
Assignee: Shira Maximov
Category: VM management
Target version: 222
Difficulty: Fixed in Releases: 222,23.0
Triaged: No Found in Releases: 2.2.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8138
Description
Hi,

the VNC connection in 2.2.0 was broken because it was using "ws://" instead of "wss://" in my case (:websockets_encrypt: on).
It only showed "Disconnected.” in the console tab. Nothing else/more.

Turning debug logging on only resulted in nonsense "error" messages:
2020-11-16T10:14:15 [D|app|46df8879] VNCProxy Error: WebSocket server settings:
46df8879 |

2020-11-16T10:14:15 [D|app|46df8879] VNCProxy Error: - Listen on :5929

46df8879 |

2020-11-16T10:14:15 [D|app|46df8879] VNCProxy Error: - Flash security policy server
46df8879 |

2020-11-16T10:14:15 [D]|app|46df8879] VNCProxy Error: - SSL/TLS support
46df8879 |

2020-11-16T10:14:15 [D|app|46df8879] VNCProxy Error: - Backgrounding (daemon)
46df8879 |

So those errors, which weren't actual errors, didn't help.

This was likely introduced via #27319, especially
https://github.com/theforeman/foreman/pull/6907/files#diff-acf85befb293c237348f2c37f605909896cb7240becadc7d7ad7a62d5fe8ea
d5R20

tbrisker provided a possible fix via IRC:

idlOr: can you try changing

https://github.com/theforeman/foreman/pull/6907 ffiles#diff-acf85befb293c237348{2c37{605909896¢cb7240becadc7d7ad7a62d5fe8ea
d5R20 to data-encrypt='<%= @encrypt %>" ?

Which we did and it worked afterwards.
Previously the JS error console of the browser logged "Failed when connecting: Error when opening socket (SecurityError: The
operation is insecure.)"

Related issues:
Related to Foreman - Feature #27319: VNC console for kubevirt Closed

Associated revisions

Revision c11b7561 - 11/16/2020 04:34 PM - Shira Maximov

Fixes #31317 - Fix broken VNC console in a secured connection

@encrypt veriable that was created in console_common.rb wasn't in the scope of the ws_proxy.rb
s0, instead i sent directly Setting[:websockets_encrypt]

History

#1 - 11/16/2020 11:03 AM - Tomer Brisker
- Related to Feature #27319: VNC console for kubevirt added

05/19/2024 12



https://projects.theforeman.org/issues/27319
https://github.com/theforeman/foreman/pull/6907/files#diff-acf85befb293c237348f2c37f605909896cb7240beca4c7d7ad7a62d5fe8ead5R20
https://github.com/theforeman/foreman/pull/6907/files#diff-acf85befb293c237348f2c37f605909896cb7240beca4c7d7ad7a62d5fe8ead5R20
https://github.com/theforeman/foreman/pull/6907/files#diff-acf85befb293c237348f2c37f605909896cb7240beca4c7d7ad7a62d5fe8ead5R20
https://github.com/theforeman/foreman/pull/6907/files#diff-acf85befb293c237348f2c37f605909896cb7240beca4c7d7ad7a62d5fe8ead5R20

#2 - 11/16/2020 11:23 AM - Tomer Brisker
- Category set to VM management

- Target version set to 2.2.2

#3 - 11/16/2020 01:18 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shira Maximov

- Pull request https://github.com/theforeman/foreman/pull/8138 added

#4 - 11/16/2020 04:34 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#5 - 11/16/2020 04:36 PM - Tomer Brisker
- Fixed in Releases 2.2.2, 2.3.0 added
- Fixed in Releases deleted (2.4.0)

#6 - 11/16/2020 04:48 PM - Tomer Brisker

- Subject changed from VNC Console broken through #27319 to VNC Console broken

#7 - 11/16/2020 05:01 PM - Shira Maximov
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c11b75613e75a1093d5e6ebcb87a29643d90e457.
